//
// Module: SIGNED_MULT_18X18
//
// Description: Verilog instantiation template
// 18-bit X 18-bit embedded signed multiplier (asynchronous)
//
// Device: Spartan-3 Family 
//
// Date:	April 14, 2003
//
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//
module SIGNED_MULT_18X18 (A,B,P);

input [17:0] A;
input [17:0] B;

output [35:0] P;
wire [35:0] P;

//
// Instantiation Section
//

MULT18X18 U_MULT18X18
  (
    .A (A) , // insert input signal #1
    .B (B) , // insert input signal #2
    .P (P)   // insert output signal
  );
//
////////////////////////////////////////////////////////////////////////////////////

endmodule